rygel (0.44.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (lp: #2112067). Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jun 2025 17:01:55 +0200

rygel (0.44.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 14:29:21 -0400

rygel (0.44.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 10:10:15 -0400

rygel (0.44.1-2) unstable; urgency=medium

  * Depend on localsearch instead of tracker
  * Remove ancient Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 10:02:47 -0400

rygel (0.44.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main
  * Rebase patches
  * debian/salsa-ci.yml: Use Ubuntu CI

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 17:41:17 +0100

rygel (0.44.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1033330)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Jan 2025 10:09:38 -0500

rygel (0.42.6-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:32:28 -0400

rygel (0.42.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:31:24 -0400

rygel (0.42.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:21:52 +0000

rygel (0.42.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:53:20 +0000

rygel (0.42.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 16:40:24 -0500

rygel (0.42.5-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 16:37:44 -0500

rygel (0.42.4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:40:43 -0400

rygel (0.42.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1040755, #1042331)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 14:50:51 -0400

rygel (0.42.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 17:16:17 -0400

rygel (0.42.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 16 May 2023 09:41:44 -0400

rygel (0.42.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - 0.42.2 -> 0.42.3 fixes:
      + Fix endless loop in XML namespace lookup
        (https://gitlab.gnome.org/GNOME/rygel/issues/228)
    - 0.42.1 -> 0.42.2 fixes:
      - Fix issue with urls having "." in them
        (https://gitlab.gnome.org/GNOME/rygel/issues/225)
      - Export disc numbers
        (https://gitlab.gnome.org/GNOME/rygel/issues/223)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 13:59:36 -0400

rygel (0.42.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:49:21 -0500

rygel (0.42.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:45:28 -0500

rygel (0.42.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Nov 2022 15:35:33 -0500

rygel (0.42.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 15:10:56 +0100

rygel (0.42.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Bump (build-)deps to gssdp/gupnp 1.2->1.6
  * Update for rygel ABI bump 2.6->2.8
  * Bump libsoup 2.4->3.0
  * Bump rygel-ruih 2.0->2.8
  * Stop installing TODO
  * Drop ancient debian/rygel-tracker.NEWS

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 20:23:15 +0200

rygel (0.40.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:36:04 -0400

rygel (0.40.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 06 Jun 2022 13:52:46 -0300

rygel (0.40.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jan 2022 16:33:27 -0500

rygel (0.40.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in.: Bump minimum meson to 0.55.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 16:28:27 -0500

rygel (0.40.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Nov 2021 08:59:37 -0800

rygel (0.40.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Sep 2021 18:11:22 -0400

rygel (0.40.1-3ubuntu1) impish; urgency=medium

  * Sync with Debian. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 07:25:14 -0400

rygel (0.40.1-3) unstable; urgency=medium

  * Build-Depend on dh-sequence-gnome
  * debian/rules: Simplify a bit
  * Bump debhelper-compat to 13
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 20:45:51 -0400

rygel (0.40.1-2ubuntu1) impish; urgency=medium

  * debian/patches/revert_gst_depends.patch: revert upstream commit
    'Use GES for time seeking during transcoding', gst-editing-services
    depends on gstreamer codecs which can't be promoted

 -- Iain Lane <iain.lane@canonical.com>  Thu, 22 Jul 2021 16:45:30 +0100

rygel (0.40.1-2) experimental; urgency=medium

  * control, rules, rygel-tracker.install: Switch to tracker 3

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 18:20:53 +0100

rygel (0.40.1-1ubuntu1) impish; urgency=medium

  * Resynchronize on Debian, remaining Ubuntu changes
  * debian/patches/revert_gst_depends.patch: revert upstream commit
    'Use GES for time seeking during transcoding', gst-editing-services
    depends on gstreamer codecs which can't be promoted

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Jun 2021 10:23:08 +0200

rygel (0.40.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/wip-Fix-gtkdoc-generation-and-installation.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 20:40:47 +0200

rygel (0.40.0-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in, debian/rules:
    - generate the gstreamer plugin recommends/suggests dynamically
      depending on the distribution, allows Ubuntu syncing

  [ Laurent Bigonville ]
  * New upstream release
  * Bump build-dependencies and switch to meson
  * debian/control.in: Add several missing dependencies to the -dev package
  * debian/control.in: Add libglib2.0-doc to the build-dependencies
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * Fix installation of the documentation, patch from upstream
  * Move mx-extract to /usr/libexec/rygel

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Dec 2020 09:22:22 +0100

rygel (0.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 15:37:18 +0100

rygel (0.38.2-4) unstable; urgency=medium

  * debian/rygel-2.6-dev.install: install the documentation again, it's
    shipped correctly with the new tarball version
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 13:03:41 +0100

rygel (0.38.2-3) unstable; urgency=medium

  * debian/control.in:
    - correctly version the dev binary libgupnp depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Nov 2019 16:37:25 +0100

rygel (0.38.2-2) unstable; urgency=medium

  * debian/rygel.postinst:
    - disable the systemd user units on upgrade for users who had the buggy
      version installed, --no-enable isn't enough for those cases.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Oct 2019 19:01:37 +0100

rygel (0.38.2-1) unstable; urgency=medium

  * New upstream release (Closes: #917464)
  * debian/patches/gstreamer_use_lm.patch:
    - remove, the bug is fixed in the new version
  * debian/rules:
    - use 'dh_installsystemduser --no-enable' to not risk enabling media
      sharing for users who don't expect it. GNOME defaults to disable
      rygel on login but that's not the case in other desktops, since that
      can be a privacy issue it's better to default to a safe behaviour.
      (lp: #1848692)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Oct 2019 22:09:07 +0200

rygel (0.38.1-1) experimental; urgency=medium

  * New upstream release
  * debian/compat:
    - removed
  * debian/control.in:
    - updated Build-Depends on glib/gtk/gssdp/gupnp/gstreamer/vala
    - update to debhelper12
  * debian/patches/renderer-Fix-type-argument-mismatch.patch:
    - remove, included in the new version
  * debian/patches/gstreamer_use_lm.patch:
    - fix a build issue with autotools
  * debian/rygel-2.6-dev.install:
    - temporarly comment installation of documentation missing from the
      current version tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Aug 2019 11:27:56 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog librygel-core-2.8-0`.
